Your submission was sent successfully! Close

CVE-2017-9031

Published: 17 May 2017

The WebUI component in Deluge before 1.3.15 contains a directory traversal vulnerability involving a request in which the name of the render file is not associated with any template file.

Priority

Medium

CVSS 3 base score: 9.8

Status

Package Release Status
deluge
Launchpad, Ubuntu, Debian
artful Ignored
(reached end-of-life)
bionic Not vulnerable
(1.3.15-2)
cosmic Not vulnerable
(1.3.15-2)
disco Not vulnerable
(1.3.15-2)
eoan Not vulnerable
(1.3.15-2)
focal Not vulnerable
(1.3.15-2)
groovy Not vulnerable
(1.3.15-2)
hirsute Not vulnerable
(1.3.15-2)
impish Not vulnerable
(1.3.15-2)
jammy Not vulnerable
(1.3.15-2)
precise Does not exist

trusty Does not exist
(trusty was needed)
upstream
Released (1.3.13+git20161130.48cedf63-3, 1.3.15)
xenial Ignored
(end of standard support, was needed)
yakkety Ignored
(reached end-of-life)
zesty Ignored
(reached end-of-life)
Patches:
upstream: http://git.deluge-torrent.org/deluge/commit/?h=1.3-stable&id=41acade01ae88f7b7bbdba308a0886771aa582fd